## cffi 0.0.20051028

=== Makefile ===
# -*- Mode: Makefile; tab-width: 3; indent-tabs-mode: t -*-
#
# Makefile --- Make targets for various tasks.
#
# Copyright (C) 2005, James Bielman  <jamesjb@jamesjb.com>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use, copy,
# modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

shlibs:
	@$(MAKE) -wC tests shlibs

clean:
	@$(MAKE) -wC tests clean
	find . -name ".fasls" | xargs rm -rf
	find . \( -name "*.dfsl" -o -name "*.fasl" -o -name "*.fas" -o -name "*.lib" -o -name "*.x86f" -o -name "*.ppcf" -o -name "*.nfasl" -o -name "*.fsl" \) -exec rm {} \;

test-openmcl:
	@-openmcl --load tests/run-tests.lisp

test-sbcl:
	@-sbcl --noinform --load tests/run-tests.lisp

test-cmucl:
	@-lisp -load tests/run-tests.lisp

test-clisp:
	@-clisp -q -x '(load "tests/run-tests.lisp")'

test-allegro:
	@-acl -L tests/run-tests.lisp
	
test: test-openmcl test-sbcl test-cmucl test-clisp

# vim: ft=make ts=3 noet

=== _darcs/current/doc/Makefile ===
# -*- Mode: Makefile; tab-width: 3; indent-tabs-mode: t -*-
#
# Makefile --- Make targets for generating the documentation.
#
# Copyright (C) 2005, Luis Oliveira  <loliveira at common-lisp.net>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use, copy,
# modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

clean:
	find . \( -name "*.info" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.vr" \) -exec rm {} \;
	rm -rf manual spec

docs:
	sh gendocs.sh -o manual --html "--css-include=style.css" cffi-manual "CFFI User Manual"
	sh gendocs.sh -o spec --html "--css-include=style.css" cffi-sys-spec "CFFI-SYS Interface Specification"

upload-docs:
	rsync -av --delete -e ssh manual spec common-lisp.net:/project/cffi/public_html/
#	scp -r manual spec common-lisp.net:/project/cffi/public_html/

# vim: ft=make ts=3 noet

=== _darcs/current/tests/Makefile ===
# -*- Mode: Makefile; tab-width: 3; indent-tabs-mode: t -*-
#
# Makefile --- Make targets for various tasks.
#
# Copyright (C) 2005, James Bielman  <jamesjb@jamesjb.com>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use, copy,
# modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

OSTYPE = $(shell uname)

ifeq ($(OSTYPE), Darwin)
CC                := gcc
CFLAGS            := -lm -Wall -ansi -pedantic
SHLIB_CFLAGS      := -bundle
SHLIB_EXT         := .so
else
ifeq ($(OSTYPE), Linux)
CC                := gcc
CFLAGS            := -lm -Wall -ansi -pedantic
SHLIB_CFLAGS      := -shared
SHLIB_EXT         := .so
else
# Let's assume this is win32
CC                := gcc
CFLAGS            := -lm -Wall -ansi -pedantic
SHLIB_CFLAGS      := -shared
SHLIB_EXT         := .dll 
endif
endif

ARCH = $(shell uname -m)

ifeq ($(ARCH), x86_64)
CFLAGS += -fPIC
endif

# Are all G5s ppc970s?
ifeq ($(ARCH), ppc970)
CFLAGS += -m64
endif

all: shlibs

shlibs: libtest$(SHLIB_EXT)

%$(SHLIB_EXT): %.c
	$(CC) -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<

clean:
	rm -f *.so *.dylib *.dll *.bundle

# vim: ft=make ts=3 noet

## cffi 0.19.0

=== debian/changelog ===
cffi (1:0.19.0-3) unstable; urgency=medium

  * Add dependency on libc6-dev | libc-dev (needed by cffi-grovel).
  * Set Maintainer to debian-common-lisp@l.d.o.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Apr 2018 21:10:52 +0200

cffi (1:0.19.0-2) unstable; urgency=medium

  * Update Vcs-* fields for move to salsa.
  * Add debian/source/format.
  * Remove obsolete README.building.
  * Rewrite d/watch, with PGP signature checking.
  * Bump to debhelper compat level 11.
  * Remove build-dependency on dh-lisp.
  * Rewrite d/rules using dh.
  * Add missing files for cffi-libffi and cffi-toolchain.
    Also add missing Depends on gcc (for cffi-toolchain), pkg-config (for
    cffi-grovel) and libffi-dev (for cffi-libffi). (Closes: #894543)
  * Remove unused Build-Depends on a2ps.
  * Rewrite d/copyright using machine-readable format 1.0.
  * Bump Standards-Version to 4.1.3.
  * Install info manuals under /usr/share/info. (Closes: #784552)
  * Stop distributing the one-file-per-node version of HTML documentation
    (but keep the all-in-one-page version) (Closes: #784550)
  * Register documentation into doc-base.
  * Add Suggests on cl-bordeaux-threads and cl-rt, needed by cffi-tests.
  * Add myself to Uploaders.
  * cffi-tests.patch: new patch, avoids test failure due to testsuite being
    installed in read-only directory.
  * Add an autopkgtest that runs the testsuite on sbcl, ecl and clisp.
    (Closes: #560966)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Apr 2018 12:28:00 +0200

cffi (1:0.19.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:27:30 +0300

cffi (1:0.18.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 20 Nov 2016 19:44:48 +0300

cffi (1:0.17.1-2) unstable; urgency=medium

  * Team upload.
  * Fix makeinfo woes on wheezy and precise.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Aug 2016 15:02:57 +0200

cffi (1:0.17.1-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 Apr 2016 21:48:21 +0300

cffi (1:0.16.1-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 02 Nov 2015 20:32:39 +0300

cffi (1:0.15.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 15 Jul 2015 16:46:02 +0300

cffi (1:0.14.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 10 Oct 2014 14:02:03 +0400

cffi (1:0.13.0-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 19 Aug 2014 17:02:18 +0400

cffi (20100219-2) unstable; urgency=low

  * Added grovel/ to the copied files. (Closes: #565864)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 19 Apr 2010 20:56:38 +0200

cffi (20100219-1) unstable; urgency=low

  * New upstream, mostly documentation changes. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 02 Mar 2010 07:32:24 +0100

cffi (20091211-1) unstable; urgency=low

  * Changes Section to lisp 
  * New upstream with minor changes. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 31 Dec 2009 14:34:42 +0100

cffi (20090823-2) unstable; urgency=low

  * Added correct dependencies. (Closes: #549264) 
  * duplicate html page just went away, no idea why. (Closes: #546172)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 07 Nov 2009 08:56:04 +0100

cffi (20090823-1) unstable; urgency=low

  * New upstream version (Closes: #519796, #511074)
  * Now use debhelper v7
  * Added debian/watch file
  * Added debian/README.building
  * Updated Standards-Version no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Sep 2009 13:14:18 +0100

cffi (20080217-1) unstable; urgency=low

  * New upstream
  * Changed to group maintanance
  * Corrected Vcs-Darcs control field
  * Updated Standard Version without real changes
  * Added Homepage field
  * swap binary-indep and binary-arch round

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Mar 2008 23:59:46 +0100

cffi (20070901-3) UNRELEASED; urgency=low

  * token new version
  * Use Vcs-Darcs in control file

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 26 Oct 2007 05:35:26 +0200

cffi (20070901-2) unstable; urgency=low

  * Stop conflicting with uffi and stop installing the 
    uffi-compat/uffi.asd file.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 02 Oct 2007 23:49:10 +0200

cffi (20070901-1) unstable; urgency=low

  * New upstream version with several fixes. (Closes: #442064)
  * Use texlive now.
  * Added conflict with cl-uffi. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 17 Sep 2007 05:22:05 +0200

cffi (20061013-1) unstable; urgency=low

  * Initial release. (Closes: #394223)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 22 Oct 2006 21:50:37 +0200

=== debian/control ===
Source: cffi
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Section: lisp
Priority: optional
Build-Depends: debhelper (>= 11~),
               texinfo,
               sbcl,
               texlive-extra-utils,
               texlive,
               texlive-generic-recommended
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
Homepage: http://common-lisp.net/project/cffi/

Package: cl-cffi
Architecture: all
Depends: ${misc:Depends},
         cl-alexandria,
         cl-trivial-features,
         cl-babel,
         gcc,
         libc6-dev | libc-dev,
         pkg-config,
         libffi-dev
Suggests: cl-bordeaux-threads,
          cl-rt
Description: Common Foreign Function Interface for Common Lisp
 CFFI, the Common Foreign Function Interface, purports to be a portable foreign
 function interface for Common Lisp. The CFFI library is composed of a
 Lisp-implementation-specific backend in the CFFI-SYS package, and a portable
 frontend in the CFFI package.
 .
 The CFFI-SYS backend package defines a low-level interface to the native FFI
 support in the Lisp implementation. It offers operators for allocating and
 dereferencing foreign memory, calling foreign functions, and loading shared
 libraries. The CFFI frontend provides a declarative interface for defining
 foreign functions, structures, typedefs, enumerated types. It is implemented
 in portable ANSI CL making use of the low-level operators exported by
 CFFI-SYS.
 .
 A UFFI compatibility layer is also being developed.

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl, cl-bordeaux-threads, cl-rt
Restrictions: allow-stderr

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl, cl-bordeaux-threads
Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp, cl-asdf, cl-bordeaux-threads, cl-rt
Restrictions: allow-stderr

## cffi 0.20.0

=== debian/changelog ===
cffi (1:0.20.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: reflect upstream changes
  * Use secure URL in Homepage field.
  * Actually fail autopkgtest on test failures.
  * Disable autopkgtest on clisp for the time being, too many failures
    on both amd64 and i386 (Closes: #901740)
  * Add Rules-Requires-Root: no
  * Migrate to new way of specifying debhelper compat level
  * Bump to S-V 4.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 18 Nov 2018 11:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                texinfo,
                sbcl,
                texlive-extra-utils,
                texlive,
                texlive-generic-recommended
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
-Homepage: http://common-lisp.net/project/cffi/
+Homepage: https://common-lisp.net/project/cffi/
+Rules-Requires-Root: no
 
 Package: cl-cffi
 Architecture: all

## cffi 0.20.1

=== debian/changelog ===
cffi (1:0.20.1-1) unstable; urgency=medium

  * New upstream release
  * Bump to debhelper compat level 12
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Bump S-V to 4.4.1
  * Build-Depend on texlive-plain-generic instead of obsolete
    texlive-generic-recommended (Closes: #941514)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 01:04:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                texinfo,
                sbcl,
                texlive-extra-utils,
                texlive,
-               texlive-generic-recommended
-Standards-Version: 4.2.1
+               texlive-plain-generic
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,6 @@
 Depends: @, ecl, cl-bordeaux-threads
 Restrictions: allow-stderr
 
-Test-Command: clisp -norc debian/tests/runtests.lisp
-Depends: @, clisp, cl-asdf, cl-bordeaux-threads, cl-rt
-Restrictions: allow-stderr
+#Test-Command: clisp -norc debian/tests/runtests.lisp
+#Depends: @, clisp, cl-bordeaux-threads, cl-rt
+#Restrictions: allow-stderr

## cffi 0.21.0

=== debian/changelog ===
cffi (1:0.21.0-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Jan 2020 21:18:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                texlive-extra-utils,
                texlive,
                texlive-plain-generic
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make -C doc

override_dh_auto_test:
# Do not run testsuite at build time, rely on autopkgtest

override_dh_auto_clean:
	make -C doc clean

override_dh_install:
	dh_install
	rm debian/cl-cffi/usr/share/common-lisp/source/cl-cffi/uffi-compat/*.asd

## cffi 0.22.1

=== debian/changelog ===
cffi (1:0.22.1-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/libffi8: Update search path to include libffi8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Oct 2020 08:10:51 +0200

cffi (1:0.22.1-2) unstable; urgency=medium

  * Add Depends on cl-rt for ecl autopkgtest. Since ecl 20.4.24, the rt
    contrib is no longer built by default. (Closes: #970335)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 15 Sep 2020 10:54:27 +0200

cffi (1:0.22.1-1ubuntu1) groovy; urgency=medium

  * debian/patches/libffi8: Update search path to include libffi8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Sep 2020 17:21:08 -0700

cffi (1:0.22.1-1) unstable; urgency=medium

  * New upstream release
  * Bump to debhelper 13
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules
  * Add d/upstream/metadata
  * Add dependency on zlib1g-dev: needed when compiling static programs
  * d/tests/runtests.lisp: add quirks for passing tests that compile
    static programs (now that SBCL is compiled with sb-linkable-runtime)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 04 Jul 2020 10:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: cffi
-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                texinfo,
                sbcl,
                texlive-extra-utils,
@@ -25,7 +27,8 @@
          gcc,
          libc6-dev | libc-dev,
          pkg-config,
-         libffi-dev
+         libffi-dev,
+         zlib1g-dev
 Suggests: cl-bordeaux-threads,
           cl-rt
 Description: Common Foreign Function Interface for Common Lisp

## cffi 0.23.0

=== debian/changelog ===
cffi (1:0.23.0-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Nov 2020 14:06:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cffi
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
@@ -12,7 +11,7 @@
                texlive-extra-utils,
                texlive,
                texlive-plain-generic
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,5 @@
 override_dh_auto_clean:
 	make -C doc clean
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm debian/cl-cffi/usr/share/common-lisp/source/cl-cffi/uffi-compat/*.asd

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Restrictions: allow-stderr
 
 Test-Command: ecl -norc -shell debian/tests/runtests.lisp
-Depends: @, ecl, cl-bordeaux-threads
+Depends: @, ecl, cl-bordeaux-threads, cl-rt
 Restrictions: allow-stderr
 
 #Test-Command: clisp -norc debian/tests/runtests.lisp

## cffi 0.24.1

=== debian/changelog ===
cffi (1:0.24.1-5) sid; urgency=medium

  * Only use FFI_UNIX64 on x86-64
  * Updated Standards-Version, no changes
  * Replace pkg-config with pkgconf in dependencies

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 05 Nov 2025 07:37:36 +0100

cffi (1:0.24.1-4) sid; urgency=medium

  * Fix test for newer babel version. (Closes: #1119855)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 03 Nov 2025 13:03:03 +0100

cffi (1:0.24.1-3) unstable; urgency=medium

  * Add libzstd-dev autopkgtest dep for sbcl Test-Command (Closes: #1016746).
  * Replace Sébastien Villemot in Uploaders.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Aug 2022 19:29:15 -0700

cffi (1:0.24.1-2) unstable; urgency=medium

  * d/upstream/metadata: fix Bug-Database field, add Bug-Submit
  * Tighten the Depends on cl-trivial-features, to ensure the :32-bit feature is
    present under SBCL and CLISP on 32-bit archs. (Closes: #999799)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Dec 2021 08:44:40 +0100

cffi (1:0.24.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0, no changes needed.
  * debian/rules: Export FORCE_SOURCE_DATE=1 in order for texlive to
    respect SOURCE_DATE_EPOCH when generating .dvi and .ps files. Thanks
    to Vagrant Cascadian. (Closes: #995648)
  * libffi8.patch: new patch, adds support for libffi8

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Nov 2021 15:24:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cffi
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+           Sean Whitton <spwhitton@spwhitton.name>
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +11,7 @@
                texlive-extra-utils,
                texlive,
                texlive-plain-generic
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cffi
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cffi.git
 Homepage: https://common-lisp.net/project/cffi/
@@ -21,11 +21,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          cl-alexandria,
-         cl-trivial-features,
+         cl-trivial-features (>= 20210228.gitf6e8dd7-2~),
          cl-babel,
          gcc,
          libc6-dev | libc-dev,
-         pkg-config,
+         pkgconf,
          libffi-dev,
          zlib1g-dev
 Suggests: cl-bordeaux-threads,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Ensure texlive respects SOURCE_DATE_EPOCH (see #995648)
+export FORCE_SOURCE_DATE=1
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="pgpmode=auto" https://common-lisp.net/project/@PACKAGE@/releases/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## cffi 20061013

=== doc/Makefile ===
# -*- Mode: Makefile; tab-width: 3; indent-tabs-mode: t -*-
#
# Makefile --- Make targets for generating the documentation.
#
# Copyright (C) 2005-2006, Luis Oliveira  <loliveira at common-lisp.net>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use, copy,
# modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

all: docs

docs:
	sh gendocs.sh -o manual --html "--css-include=style.css" cffi-manual "CFFI User Manual"
	sh gendocs.sh -o spec --html "--css-include=style.css" cffi-sys-spec "CFFI-SYS Interface Specification"

clean:
	find . \( -name "*.info" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.vr" -o -name "*.dvi" -o -name "*.cps" -o -name "*.vrs" \) -exec rm {} \;
	rm -rf manual spec

upload-docs:
	rsync -av --delete -e ssh manual spec common-lisp.net:/project/cffi/public_html/
#	scp -r manual spec common-lisp.net:/project/cffi/public_html/

# vim: ft=make ts=3 noet

=== tests/Makefile ===
# -*- Mode: Makefile; tab-width: 3; indent-tabs-mode: t -*-
#
# Makefile --- Make targets for various tasks.
#
# Copyright (C) 2005, James Bielman  <jamesjb@jamesjb.com>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use, copy,
# modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

OSTYPE = $(shell uname)

CC             := gcc
CFLAGS         := -lm -Wall -std=c99 -pedantic
SHLIB_CFLAGS   := -shared
SHLIB_EXT      := .so

ifneq ($(if $(findstring $(OSTYPE),Linux FreeBSD),OK), OK)
ifeq ($(OSTYPE), Darwin)
SHLIB_CFLAGS   := -bundle
else
ifeq ($(OSTYPE), SunOS)
CFLAGS         := -c -Wall -std=c99 -pedantic
else
# Let's assume this is win32
SHLIB_EXT      := .dll 
endif
endif
endif

ARCH = $(shell uname -m)

ifeq ($(ARCH), x86_64)
CFLAGS += -fPIC
endif

# Are all G5s ppc970s?
ifeq ($(ARCH), ppc970)
CFLAGS += -m64
endif

SHLIBS = libtest$(SHLIB_EXT)

ifeq ($(ARCH), x86_64)
SHLIBS += libtest32$(SHLIB_EXT)
endif

shlibs: $(SHLIBS)

libtest$(SHLIB_EXT): libtest.c
	$(CC) -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<

ifeq ($(ARCH), x86_64)
libtest32$(SHLIB_EXT): libtest.c
	$(CC) -m32 -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
endif

clean:
	rm -f *.so *.dylib *.dll *.bundle

# vim: ft=make ts=3 noet

## cffi 20080217

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile --- Make targets for various tasks.
 #
-# Copyright (C) 2005, James Bielman  <jamesjb@jamesjb.com>
+# Copyright (C) 2005-2006, James Bielman  <jamesjb@jamesjb.com>
 #
 # Permission is hereby granted, free of charge, to any person
 # obtaining a copy of this software and associated documentation
@@ -25,29 +25,44 @@
 # DEALINGS IN THE SOFTWARE.
 #
 
+# This way you can easily run the tests for different versions
+# of each lisp with, e.g. ALLEGRO=/path/to/some/lisp make test-allegro
+CMUCL    ?= lisp
+OPENMCL  ?= openmcl
+SBCL     ?= sbcl
+CLISP    ?= clisp
+ALLEGRO  ?= acl
+SCL      ?= scl
+
 shlibs:
 	@$(MAKE) -wC tests shlibs
 
 clean:
 	@$(MAKE) -wC tests clean
 	find . -name ".fasls" | xargs rm -rf
-	find . \( -name "*.dfsl" -o -name "*.fasl" -o -name "*.fas" -o -name "*.lib" -o -name "*.x86f" -o -name "*.ppcf" -o -name "*.nfasl" -o -name "*.fsl" \) -exec rm {} \;
+	find . \( -name "*.dfsl" -o -name "*.fasl" -o -name "*.fas" -o -name "*.lib" -o -name "*.x86f" -o -name "*.amd64f" -o -name "*.sparcf" -o -name "*.sparc64f" -o -name "*.hpf" -o -name "*.hp64f" -o -name "*.ppcf" -o -name "*.nfasl" -o -name "*.ufsl" -o -name "*.fsl" -o -name "*.lx64fsl" \) -exec rm {} \;
 
 test-openmcl:
-	@-openmcl --load tests/run-tests.lisp
+	@-$(OPENMCL) --load tests/run-tests.lisp
 
 test-sbcl:
-	@-sbcl --noinform --load tests/run-tests.lisp
+	@-$(SBCL) --noinform --load tests/run-tests.lisp
 
 test-cmucl:
-	@-lisp -load tests/run-tests.lisp
+	@-$(CMUCL) -load tests/run-tests.lisp
+
+test-scl:
+	@-$(SCL) -load tests/run-tests.lisp
 
 test-clisp:
-	@-clisp -q -x '(load "tests/run-tests.lisp")'
+	@-$(CLISP) -q -x '(load "tests/run-tests.lisp")'
+
+test-clisp-modern:
+	@-$(CLISP) -modern -q -x '(load "tests/run-tests.lisp")'
 
 test-allegro:
-	@-acl -L tests/run-tests.lisp
-	
+	@-$(ALLEGRO) -L tests/run-tests.lisp
+
 test: test-openmcl test-sbcl test-cmucl test-clisp
 
 # vim: ft=make ts=3 noet

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile --- Make targets for generating the documentation.
 #
-# Copyright (C) 2005-2006, Luis Oliveira  <loliveira at common-lisp.net>
+# Copyright (C) 2005-2007, Luis Oliveira  <loliveira@common-lisp.net>
 #
 # Permission is hereby granted, free of charge, to any person
 # obtaining a copy of this software and associated documentation
@@ -25,10 +25,12 @@
 # DEALINGS IN THE SOFTWARE.
 #
 
-all: docs
+all: manual spec
 
-docs:
+manual: cffi-manual.texinfo style.css
 	sh gendocs.sh -o manual --html "--css-include=style.css" cffi-manual "CFFI User Manual"
+
+spec: cffi-sys-spec.texinfo style.css
 	sh gendocs.sh -o spec --html "--css-include=style.css" cffi-sys-spec "CFFI-SYS Interface Specification"
 
 clean:

=== tests/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 OSTYPE = $(shell uname)
 
 CC             := gcc
-CFLAGS         := -lm -Wall -std=c99 -pedantic
+CFLAGS         := -Wall -std=c99 -pedantic
 SHLIB_CFLAGS   := -shared
 SHLIB_EXT      := .so
 
@@ -40,12 +40,16 @@
 CFLAGS         := -c -Wall -std=c99 -pedantic
 else
 # Let's assume this is win32
-SHLIB_EXT      := .dll 
+SHLIB_EXT      := .dll
 endif
 endif
 endif
 
 ARCH = $(shell uname -m)
+
+ifneq ($(ARCH), x86_64)
+CFLAGS += -lm
+endif
 
 ifeq ($(ARCH), x86_64)
 CFLAGS += -fPIC
@@ -56,21 +60,24 @@
 CFLAGS += -m64
 endif
 
-SHLIBS = libtest$(SHLIB_EXT)
+SHLIBS = libtest$(SHLIB_EXT) libtest2$(SHLIB_EXT)
 
-ifeq ($(ARCH), x86_64)
-SHLIBS += libtest32$(SHLIB_EXT)
-endif
+#ifeq ($(ARCH), x86_64)
+#SHLIBS += libtest32$(SHLIB_EXT)
+#endif
 
 shlibs: $(SHLIBS)
 
 libtest$(SHLIB_EXT): libtest.c
 	$(CC) -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
 
-ifeq ($(ARCH), x86_64)
-libtest32$(SHLIB_EXT): libtest.c
-	$(CC) -m32 -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
-endif
+libtest2$(SHLIB_EXT): libtest2.c
+	$(CC) -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
+
+#ifeq ($(ARCH), x86_64)
+#libtest32$(SHLIB_EXT): libtest.c
+#	$(CC) -m32 -o $@ $(SHLIB_CFLAGS) $(CFLAGS) $<
+#endif
 
 clean:
 	rm -f *.so *.dylib *.dll *.bundle

## cffi 20100219

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 OPENMCL  ?= openmcl
 SBCL     ?= sbcl
 CLISP    ?= clisp
-ALLEGRO  ?= acl
+ALLEGRO  ?= alisp
 SCL      ?= scl
 
 shlibs:

=== doc/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	find . \( -name "*.info" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.vr" -o -name "*.dvi" -o -name "*.cps" -o -name "*.vrs" \) -exec rm {} \;
 	rm -rf manual spec
 
-upload-docs:
+upload-docs: manual spec
 	rsync -av --delete -e ssh manual spec common-lisp.net:/project/cffi/public_html/
 #	scp -r manual spec common-lisp.net:/project/cffi/public_html/

=== tests/Makefile ===
shlibs clean:
	gmake $@
